Xenodia Docs
API ReferenceGenerated Reference

Sign in an Agent with an EIP-191 signature

Owner wallets cannot be used for Agent wallet sign-in. Challenges expire and can be consumed only once.

POST
/v1/auth/verify

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.xenodia.xyz/v1/auth/verify" \  -H "Content-Type: application/json" \  -d '{    "challenge_id": "string",    "signature": "string"  }'
{
  "account": {
    "id": 0,
    "account_type": "owner",
    "wallet_address": "string",
    "email": "string",
    "role": "string"
  },
  "tokens": {
    "access_token": "string",
    "refresh_token": "string",
    "api_key": "string",
    "expires_in": 0,
    "token_type": "string"
  }
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}
{
  "error": "string",
  "message": "string",
  "request_id": "string"
}